MODULE YOERIP

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Real time related variables for ECMWF radiation: updated UPDTIER

!     RIP0M  : I0 WEIGHTED BY THE DISTANCE EARTH-SUN

!     RCODECM: COSINE OF THE DECLINATION
!     RSIDECM:   SINE OF THE DECLINATION

!     RCOVSRM: COSINE OF TRUE SOLAR TIME
!     RSIVSRM:   SINE OF TRUE SOLAR TIME

REAL(KIND=JPRB) :: RIP0M
REAL(KIND=JPRB) :: RCODECM
REAL(KIND=JPRB) :: RSIDECM
REAL(KIND=JPRB) :: RCOVSRM
REAL(KIND=JPRB) :: RSIVSRM
!     ------------------------------------------------------------------
END MODULE YOERIP
